Package twisted :: Package protocols :: Module http :: Class HTTPChannel

[frames | no frames]

## Class HTTPChannel

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
            TimeoutMixin --+
                           |
                          HTTPChannel

Known Subclasses:
  `Proxy`, `ReverseProxy`

A receiver for HTTP requests.

Method Summary
| `__init__(self)`
| `allContentReceived(self)`
| `allHeadersReceived(self)`
| ``checkPersistence`(self, request, version)` Check if the channel should close or not.
| `connectionLost(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| ``headerReceived`(self, line)` Do pre-processing (for content-length) and store this header away.
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``requestDone`(self, request)` Called by first request in queue when it is done.
| ``timeoutConnection`(self)` Called when the connection times out.
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from TimeoutMixin
| ``resetTimeout`(self)` Reset the timeout count down
| ``setTimeout`(self, period)` Change the timeout period

Class Variable Summary
`NoneType` | `_HTTPChannel__content` = None
`int` | `_HTTPChannel__first_line` = 1
`str` | `_HTTPChannel__header` = `''`
`NoneType` | `_savedTimeOut` = None
`int` | `length` = 0
`int` | `maxHeaders` = 500
`int` | `persistent` = 1
`class` | `requestFactory` = `twisted.protocols.http.Request`
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None
Inherited from TimeoutMixin
`NoneType` | `_TimeoutMixin__lastReceived` = None
`NoneType` | `_TimeoutMixin__timeoutCall` = None
`NoneType` | `timeOut`: The number of seconds after which to timeout the connection.

Method Details

### checkPersistence(self, request, version)

Check if the channel should close or not.

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### headerReceived(self, line)

Do pre-processing (for content-length) and store this header away.

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### rawDataReceived(self, data)

Override this for when raw data is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.rawDataReceived` (inherited documentation)

### requestDone(self, request)

Called by first request in queue when it is done.

### timeoutConnection(self)

Called when the connection times out. Override to define behavior other than dropping the connection.

  Overrides:
    `twisted.protocols.policies.TimeoutMixin.timeoutConnection` (inherited documentation)

Class Variable Details

### _HTTPChannel__content

  Type:
    `NoneType`
  Value:

        None

### _HTTPChannel__first_line

  Type:
    `int`
  Value:

        1

### _HTTPChannel__header

  Type:
    `str`
  Value:

        ''

### _savedTimeOut

  Type:
    `NoneType`
  Value:

        None

### length

  Type:
    `int`
  Value:

        0

### maxHeaders

  Type:
    `int`
  Value:

        500

### persistent

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:52 2004 | http://epydoc.sf.net